PHP Manual
Prev |  | Next

# HttpRequest::setPutData

(no version information, might be only in CVS)

HttpRequest::setPutData -- Set put data

## Description

publicbool HttpRequest::setPutData ( [string put_data] )

Set PUT data to send, overwriting previously set PUT data.

Affects only PUT requests.

Only either PUT data or PUT file can be used for each request. PUT data has higher precedence and will be used even if a PUT file is set.

## Parameters

put_data

  the data to upload

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::setPostFiles | Up | HttpRequest::setPutFile